# Create a new Custom Object Custom Field

POST https://api.close.com/api/v1/custom_field/custom_object_type/
Content-Type: application/json

Custom Object Custom Fields belong to Custom Objects, and have additional attributes:

- `custom_object_type_id` – the ID of the Custom Object Type this Field
  should belong to.
- `required` – whether the Field will be required to save the object.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-custom-object/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_field/custom_object_type/:
    post:
      operationId: create
      summary: Create a new Custom Object Custom Field
      description: >-
        Custom Object Custom Fields belong to Custom Objects, and have
        additional attributes:


        - `custom_object_type_id` – the ID of the Custom Object Type this Field
          should belong to.
        - `required` – whether the Field will be required to save the object.
      tags:
        - subpackage_customFieldsCustomObject
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/custom_fields.custom_object_create_Response_201
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_fields.custom_object_create_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: custom_fields.custom_object_create_Response_201
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```